Extending Qt Creator Manual | DynamicRule

Extending Qt Creator Manual 4.7.1

# DynamicRule Class

(TextEditor::Internal::DynamicRule)

Inherits: | TextEditor::Internal::Rule

- List of all members, including inherited members

## Public Functions

| DynamicRule()
virtual | ~DynamicRule()
bool | isActive() const
virtual void | replaceExpressions(const int &captures)
void | setActive(const int &active)

- 21 public functions inherited from TextEditor::Internal::Rule

### Additional Inherited Members

- 6 protected functions inherited from TextEditor::Internal::Rule

## Member Function Documentation

### DynamicRule::DynamicRule()

Default constructs an instance of DynamicRule.

### `[virtual]` DynamicRule::~DynamicRule()

Destroys the instance of DynamicRule. The destructor is virtual.

### bool DynamicRule::isActive() const

### `[virtual]` void DynamicRule::replaceExpressions(const int &captures)

### void DynamicRule::setActive(const int &active)

See also isActive().